halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Static Protected Attributes | Friends
hal::HDF5TopSegment Class Reference
Inheritance diagram for hal::HDF5TopSegment:

List of all members.

## Public Member Functions
| HDF5TopSegment (HDF5Genome *genome, HDF5ExternalArray *array, hal_index_t index)
| ~HDF5TopSegment ()
hal_size_t | getLength () const
void | setLength (hal_size_t length)
const Genome * | getGenome () const
Genome * | getGenome ()
hal_index_t | getStartPosition () const
void | setStartPosition (hal_index_t startPos)
hal_index_t | getNextParalogyIndex () const
void | setNextParalogyIndex (hal_index_t parIdx)
hal_index_t | getParentIndex () const
void | setParentIndex (hal_index_t parIdx)
hal_bool_t | getParentReversed () const
void | setParentReversed (hal_bool_t isReversed)
hal_index_t | getBottomParseIndex () const
void | setBottomParseIndex (hal_index_t botParseIdx)
hal_offset_t | getBottomParseOffset () const
void | setBottomParseOffset (hal_offset_t botParseOffset)
hal_index_t | getArrayIndex () const
## Static Public Member Functions
static H5::CompType | dataType ()
## Protected Attributes
HDF5ExternalArray * | _array
hal_index_t | _index
HDF5Genome * | _genome
## Static Protected Attributes
static const size_t | genomeIndexOffset = 0
static const size_t | lengthOffset = sizeof(hal_index_t)
static const size_t | bottomIndexOffset = lengthOffset + sizeof(hal_size_t)
static const size_t | bottomOffsetOffset = bottomIndexOffset + sizeof(hal_index_t)
static const size_t | parIndexOffset = bottomOffsetOffset + sizeof(hal_offset_t)
static const size_t | parentIndexOffset = parIndexOffset + sizeof(hal_index_t)
static const size_t | parentReversedOffset = parentIndexOffset + sizeof(hal_index_t)
static const size_t | totalSize = parentReversedOffset + sizeof(hal_bool_t)
## Friends
class | HDF5TopSegmentIterator
class | HDF5BottomSegmentIterator

## Constructor & Destructor Documentation

HDF5TopSegment::HDF5TopSegment | ( | HDF5Genome * | genome,
|  | HDF5ExternalArray * | array,
|  | hal_index_t | index
| ) |  |

Constructor

Parameters:

  genome | Smart pointer to genome to which segment belongs
  array | HDF5 array containg segment
  index | Index of segment in the array

HDF5TopSegment::~HDF5TopSegment | ( |  | ) |

Destructor

## Member Function Documentation

hal_index_t hal::HDF5TopSegment::getArrayIndex | ( |  | ) | const`[inline, virtual]`

Get the index of the segment in the segment array

Implements hal::Segment.

hal_index_t hal::HDF5TopSegment::getBottomParseIndex | ( |  | ) | const`[inline, virtual]`

Get the index of the bottom segment in genome that contains the start coordinate of this top segment

Implements hal::TopSegment.

hal_offset_t hal::HDF5TopSegment::getBottomParseOffset | ( |  | ) | const`[inline, virtual]`

Get the offset in the bottom parse segment that aligns with the start coordinate of this segment

Implements hal::TopSegment.

const Genome * hal::HDF5TopSegment::getGenome | ( |  | ) | const`[inline, virtual]`

Get the containing (read-only) genome

Implements hal::Segment.

Genome * hal::HDF5TopSegment::getGenome | ( |  | ) | `[inline, virtual]`

Get the containing genome

Implements hal::Segment.

hal_size_t hal::HDF5TopSegment::getLength | ( |  | ) | const`[inline, virtual]`

Get the length of the segment (number of bases)

Implements hal::Segment.

hal_index_t hal::HDF5TopSegment::getNextParalogyIndex | ( |  | ) | const`[inline, virtual]`

Get index of the next paralogous segment in the genome

Implements hal::Segment.

hal_index_t hal::HDF5TopSegment::getParentIndex | ( |  | ) | const`[inline, virtual]`

Get index of the homologous segmenet in the ancestral genome

Implements hal::TopSegment.

hal_bool_t hal::HDF5TopSegment::getParentReversed | ( |  | ) | const`[inline, virtual]`

Check whether segment is mapped to parent's reverse complement

Implements hal::TopSegment.

hal_index_t hal::HDF5TopSegment::getStartPosition | ( |  | ) | const`[inline, virtual]`

Get the segment's start position in the genome

Implements hal::Segment.

void hal::HDF5TopSegment::setBottomParseIndex | ( | hal_index_t | botParseIdx | ) | `[inline, virtual]`

Set the index of the bototm segment in the genome that contains the start coordinate of this top segment

Parameters:

  botParseIndx | index to set

Implements hal::TopSegment.

void hal::HDF5TopSegment::setBottomParseOffset | ( | hal_offset_t | botParseOffset | ) | `[inline, virtual]`

Set the offset in the bottom parse segment that aligns with the start coordinate of this segment

Parameters:

  botParseOffset | offset

Implements hal::TopSegment.

void hal::HDF5TopSegment::setLength | ( | hal_size_t | length | ) | `[inline, virtual]`

Set the length of the segment

Parameters:

  length | New length of segment

Implements hal::Segment.

void hal::HDF5TopSegment::setNextParalogyIndex | ( | hal_index_t | parIdx | ) | `[inline, virtual]`

Set index of the next paralogous segment in the genome

Parameters:

  parIdx | of next segment in same genome that is homologous to this segment

Implements hal::Segment.

void hal::HDF5TopSegment::setParentIndex | ( | hal_index_t | parIdx | ) | `[inline, virtual]`

Set the index of the homologous segment in the ancestra genome

Parameters:

  parIdx | parent index to set

Implements hal::TopSegment.

void hal::HDF5TopSegment::setParentReversed | ( | hal_bool_t | isReversed | ) | `[inline, virtual]`

Set whether segment is mapped to parent's reverse complement

Parameters:

  isReversed | Flag

Implements hal::TopSegment.

void hal::HDF5TopSegment::setStartPosition | ( | hal_index_t | startPos | ) | `[inline, virtual]`

Set the segment's start position in the genome

Parameters:

  startPos | Start position

Implements hal::Segment.

The documentation for this class was generated from the following files:

- hdf5_impl/hdf5TopSegment.h
- hdf5_impl/hdf5TopSegment.cpp

All Classes Namespaces Functions Variables Friends